Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002144TestLinkTest Executepublic2009-02-25 23:342010-07-04 11:32
Reporterdave57i 
Assigned Toasimon 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 4 
Fixed in Version1.9 Beta 5 
Summary0002144: choice "update tree after each change" while executing tests
DescriptionWhen tester executes assigned tests, he could only see the "road", what to test. He has no overview picture what he already signed as passed/failed/.... This could be dangerous in a case that e.g. he has to change the order of testing.

Something like "update tree after each change" or "update results in tree" would be very useful. Maybe both.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0001588closedasimon Execution filter extension 

-  Notes
(0005617)
fman (administrator)
2009-02-26 02:15

when you have lot of test cases (hundreds) automatic update is a problem.
User can simply update on demand doing just two clicks (one to open filters, another to click update button.
(0005647)
dave57i (reporter)
2009-02-26 17:42

Ok, so I would recommend to only add a button "Update tree" to the bottom of the tree. It could have the same functionality as "Apply filter". Then the drawback of slowing down the updating is under responsibility of a user.

BTW usual situation is to update tree as a minimum after the filling out the test suite and according to feedback from testers, if I have to click on Filter->Apply, it slows down the work.
(0005648)
fman (administrator)
2009-02-26 18:42

ok we will try to think about a balanced solution
(0006413)
mhavlat (reporter)
2009-04-16 20:45

Implement "refresh" button
(0009294)
mhavlat (reporter)
2010-03-04 17:36

Implement check box.
(0009422)
Julian (reporter)
2010-03-16 18:00

Martin what is the status here ? This is also pretty interesting for me - i like this one to be resolved.

do you plan to implement as it is on "Test Specification" using a checkbox? (is last user choice stored?)
(0010432)
asimon (developer)
2010-06-25 11:26

Solved in CVS. Please retest with next available beta version, feel free to reopen issue if needed.

- Issue History
Date Modified Username Field Change
2009-02-25 23:34 dave57i New Issue
2009-02-26 02:15 fman Note Added: 0005617
2009-02-26 17:42 dave57i Note Added: 0005647
2009-02-26 18:42 fman Note Added: 0005648
2009-04-16 20:44 mhavlat Status new => assigned
2009-04-16 20:44 mhavlat Assigned To => mhavlat
2009-04-16 20:45 mhavlat Note Added: 0006413
2009-04-16 20:45 mhavlat Fixed in Version => 1.9 (DEV)
2010-02-25 00:44 mhavlat Status assigned => acknowledged
2010-02-28 22:22 mhavlat Note Added: 0009226
2010-03-04 17:35 mhavlat Note Deleted: 0009226
2010-03-04 17:36 mhavlat Note Added: 0009294
2010-03-16 18:00 Julian Note Added: 0009422
2010-03-17 16:07 Julian Relationship added related to 0001588
2010-06-25 11:26 asimon Assigned To mhavlat => asimon
2010-06-25 11:26 asimon Status acknowledged => assigned
2010-06-25 11:26 asimon Note Added: 0010432
2010-06-25 11:26 asimon Status assigned => resolved
2010-06-25 11:26 asimon Fixed in Version 1.9 Beta 2 => 1.9 Beta 5
2010-06-25 11:26 asimon Resolution open => fixed
2010-07-04 11:32 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker